<div class='view-container ${srffilepath2(view.getCodeName())}<#if view.getPSSysCss?? && view.getPSSysCss()??> ${view.getPSSysCss().getCssName()}</#if>'>
    <card class='view-card<#if !view.isShowCaptionBar()> view-no-caption</#if>'  dis-hover={true} bordered={false}>
    
        <#if view.isShowCaptionBar() || view.hasPSControl('toolbar')>
        <p slot='title'>
            <#if view.getPSSysImage()??>
            <#assign viewimg = view.getPSSysImage()/>
            <#if viewimg.getImagePath() !=  "">
            <span class='caption-image'><i class='${viewimg.getCssClass()}'></i></span>
            <#else>
            <span class='caption-image'><img src='${viewimg.getImagePath()}'/></span>
            </#if>
            </#if>
            <span class='caption-info'>{this.$t(this.model.srfCaption)}</span>
        </p>
        </#if>

<#if view.hasPSControl('toolbar')>
<@ibizindent blank=8>
<p slot="extra">
${P.getCtrlCode('toolbar', 'CONTROL.html').code}
</p>
</@ibizindent>
</#if>

        <div class='content-container'>
            {this.renderPosTopMsgs()}
<#assign MDContent>
<#comment><!--开始：快速搜索--></#comment>
<#if (view.isEnableQuickSearch())>
<div class="search-contant">
    <i-input search on-on-change={($event: any) => { this.srfnodefilter = $event.target.value; }} on-on-search={() => this.onSearch()} class='pull-left'/>
</div>
</#if>
<#comment><!--结束：快速搜索或工具栏存在--></#comment>
<#if view.hasPSControl('tree')>
<div class="tree-contant">
    ${P.getCtrlCode('tree', 'CONTROL.html').code}
</div>
</#if>
</#assign>

<#ibizinclude>
../@MACRO/VIEW_MD_CONTENT.tsx.ftl
</#ibizinclude>
        {this.renderPosBottomMsgs()}
        </div>
    </card>
</div>