
<#ibizinclude>
../@MACRO/CONTROL/LANGBASE.tsx.ftl
</#ibizinclude>
/**
 * 绘制列
 *
 * @param {*} content
 * @returns
 * @memberof Main
 */
public render${item.getName()}(content: any) {
    let column = this.allColumns.find((col: any) => Object.is('${item.getName()?lower_case}', col.name));
    if(column.show) {  
        return (
            <#if item.getColumnType() == 'GROUPGRIDCOLUMN' && item.getPSDEGridColumns()??>
            <el-table-column show-overflow-tooltip align='${item.getAlign()?lower_case}' label={<#if langbase??>this.$t('${langbase}.columns.${item.getName()?lower_case}')<#else>'${item.getCaption()}'</#if>}>
            <#list item.getPSDEGridColumns() as column>
                { this.render${column.getName()}(content) }
            </#list>
            </el-table-column>
            <#elseif item.getColumnType() == 'UAGRIDCOLUMN'>
            <el-table-column column-key='${item.getName()?lower_case}' label={<#if langbase??>this.$t('${langbase}.columns.${item.getName()?lower_case}')<#else>'${item.getCaption()}'</#if>}<#if item.getWidthUnit()!='STAR'> width="${item.width?c}"</#if> align='${item.getAlign()?lower_case}' {...content}>
            </el-table-column>
            <#elseif item.getColumnType() == 'DEFGRIDCOLUMN'>
            <el-table-column show-overflow-tooltip prop='${item.getDataItemName()?lower_case}' label={<#if langbase??>this.$t('${langbase}.columns.${item.getName()?lower_case}')<#else>'${item.getCaption()}'</#if>}<#if item.getWidthUnit()!='STAR'> width="${item.width?c}"</#if> align='${item.getAlign()?lower_case}'<#if (!ctrl.isNoSort()) && item.isEnableSort()> sortable='custom'</#if> {...content}>
            </el-table-column>
            </#if>
        );
    }
}

<#if item.getColumnType() == 'GROUPGRIDCOLUMN' && item.getPSDEGridColumns()??>
<#list item.getPSDEGridColumns() as column>
${P.getPartCode(column,'COLUMN').code}
</#list>
</#if>
