<#if view.getMainMenuAlign()=="LEFT" || view.getMainMenuAlign()=="">
            <div class="index_view ${srffilepath2(view.getCodeName())}<#if view.getPSSysCss?? && view.getPSSysCss()??> ${view.getPSSysCss().getCssName()}</#if>">
                <layout class={{ 'app_theme_blue': 'app_theme_blue' == this.selectTheme ? true : false, 'app-default-theme': 'app-default-theme' == this.selectTheme ? true : false, 'app_theme_darkblue': 'app_theme_darkblue' == this.selectTheme ? true : false }} style={{ 'font-family': this.selectFont, 'height': '100vh' }}>
                    <header class="index_header">
                        <div class="page-logo">
                            <#if view.getAppIconPath() != "">
                                <img src="${view.getAppIconPath()}" height="22">
                                <#else>
                                <img src="./assets/img/logo2.png" height="22" />
                            </#if>
                            <span style="display: inline-block;margin-left: 10px;font-size: 22px;">${view.getCaption()}</span>
                        </div>
                        <div class="header-right" style="display: flex;align-items: center;justify-content: space-between;">
                            <div>
                                <icon type="md-notifications-outline" style="font-size: 25px;margin: 0 10px;" />
                            </div>
                            <div>
                                <icon type="ios-mail-open-outline" style="font-size: 25px;margin: 0 10px;" />
                            </div>
                            <app-lang style='font-size: 15px;padding: 0 10px;'></app-lang>
                             <app-user></app-user>
                            <app-theme style="width:45px;display: flex;justify-content: center;"></app-theme>
                        </div>
                    </header>
                    <layout>
                        <#if view.hasPSControl('appmenu')>
                        <sider width={this.collapseChange ? 64 : 200} hide-trigger v-model={this.collapseChange}>
                            <div class="sider-top">
                                <i class="ivu-icon ivu-icon-md-menu" on-click={this.handleClick}></i>
                            </div>
                           ${P.getCtrlCode('appmenu', 'CONTROL.html').code}
                        </sider>
                        <content class="index_content" style={{'width':this.collapseChange ? 'calc(100vw - 64px)' : 'calc(100vw - 200px)'}}>
                            <tab-page-exp></tab-page-exp>
                            <app-keep-alive routerList={this.$store.state.historyPathList}>
                                <router-view key={this.$route.fullPath}></router-view>
                            </app-keep-alive>
                        </content>
                        <#else>
                        <content style={{'width':'100vw','height':'calc(100vh - 50px)'}}>
                            <tab-page-exp></tab-page-exp>
                            <app-keep-alive routerList={this.$store.state.historyPathList}>
                                <router-view key={this.$route.fullPath}></router-view>
                            </app-keep-alive>
                        </content>
                        </#if>
                    </layout>
                </layout>
            </div>
            <#else>
            <div class="index_view <#if view.getPSSysCss?? && view.getPSSysCss()??> ${view.getPSSysCss().getCssName()}</#if>">
                <layout class={{ 'app_theme_blue': 'app_theme_blue' == this.selectTheme ? true : false, 'app-default-theme': 'app-default-theme' == this.selectTheme ? true : false, 'app_theme_darkblue': 'app_theme_darkblue' == this.selectTheme ? true : false }} style={{ 'font-family': this.selectFont, 'height': '100vh' }}>
                    <header class="index_header" >
                        <div class="header-left">
                            <div class="page-logo">
                                <img src="./assets/img/logo2.png" height="22" />
                                <span style="display: inline-block;margin-left: 10px;font-size: 22px;">首页</span>
                            </div>
                            <div style="margin-left: 50px;">
                            ${P.getCtrlCode('appmenu', 'CONTROL.html').code}
                            </div>
                        </div>
                        <div class="header-right" style="display: flex;align-items: center;justify-content: space-between;">
                            <div>
                                <icon type="md-notifications-outline" style="font-size: 25px;margin: 0 10px;" />
                            </div>
                            <div>
                                <icon type="ios-mail-open-outline" style="font-size: 25px;margin: 0 10px;" />
                            </div>
                            <app-lang style='font-size: 15px;padding: 0 10px;'></app-lang>
                             <app-user></app-user>
                            <app-theme style="width:45px;display: flex;justify-content: center;"></app-theme>
                        </div>
                    </header>
                    <content style="height:calc(100vh - 50px);">  
                        <router-view></router-view>
                    </content>
                </layout>
            </div>
            </#if>